Imports System
Imports System.ComponentModel
Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering
Imports DevExpress.ExpressApp

Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.Xpo.Metadata
Imports System.Drawing
<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class LocalityLists
    Inherits BaseObject
    Private _Apartments As Apartments
    Private _Offices As Offices
    Private _ShortName As String
    Private _Level As String
    Private _Dimensions As String
    Private _DimensionsUnder190 As String
    Private _AreaNetto As Double = 0
    Private _AreaUnder190 As Double = 0
    Private _LocalityType As LocalityType
    Private _PriceCounter As Double = 1
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Protected Overrides Sub OnSaving()
        MyBase.OnSaving()
    End Sub
    <Association("Apartments-LocalityLists", GetType(Apartments))> _
    Property Apartments() As Apartments
        Get
            Return _Apartments
        End Get
        Set(ByVal value As Apartments)
            SetPropertyValue("Apartments", _Apartments, value)
        End Set
    End Property
    <Association("Offices-LocalityLists", GetType(Offices))> _
    Property Offices() As Offices
        Get
            Return _Offices
        End Get
        Set(ByVal value As Offices)
            SetPropertyValue("Offices", _Offices, value)
        End Set
    End Property
    Property ShortName() As String
        Get
            Return _ShortName
        End Get
        Set(ByVal value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
    Property Level() As String
        Get
            Return _Level
        End Get
        Set(ByVal value As String)
            SetPropertyValue("Level", _Level, value)
        End Set
    End Property
    Property Dimensions() As String
        Get
            Return _Dimensions
        End Get
        Set(ByVal value As String)
            SetPropertyValue("Dimensions", _Dimensions, value)
        End Set
    End Property
    Property DimensionsUnder190() As String
        Get
            Return _DimensionsUnder190
        End Get
        Set(ByVal value As String)
            SetPropertyValue("DimensionsUnder190", _DimensionsUnder190, value)
        End Set
    End Property
    Property AreaNetto() As Double
        Get
            Return _AreaNetto
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("AreaNetto", _AreaNetto, value)
        End Set
    End Property
    Property AreaUnder190() As Double
        Get
            Return _AreaUnder190
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("AreaUnder190", _AreaUnder190, value)
        End Set
    End Property
    Property LocalityType() As LocalityType
        Get
            Return _LocalityType
        End Get
        Set(ByVal value As LocalityType)
            SetPropertyValue("LocalityType", _LocalityType, value)
        End Set
    End Property
    Property PriceCounter() As Double
        Get
            Return _PriceCounter
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("PriceCounter", _PriceCounter, value)
        End Set
    End Property
End Class ' Helység lista
